module("luci.controller.checkalive", package.seeall)

function index()
	entry({"admin", "network", "checkalive"}, firstchild(), _("在线监测CheckAlive"), 80)
	entry({"admin", "network", "checkalive", "dashboard"}, template("checkalive_dashboard"), _("Dashboard"), 1)
	entry({"admin", "network", "checkalive_status"}, call("checkalive_status"), nil, nil)
	entry({"admin", "network", "checkalive", "config"}, cbi("checkalive"), _("Configure"),  3)
end

function checkalive_status()
	local ret = ""
	local iplist = ""
	local badIp = ""

	uci = require("uci")

	x = uci.cursor()

	print("Content-type: application/javascript\n")
	x:foreach("checkalive", "checkalive", function(s)
		ip = ""
		description = ""

		for key, value in pairs(s) do

			if(key == "ip") then
				ip = value
			end
			if(key == "description") then
				description = value
			end
		end

		ret = ret .. "{\"ip\":\"" .. ip .. "\",\"desc\":\"" .. description .."\"}, "
		iplist = iplist .. ip .. " "
	end)

	if(luci.util.trim(iplist) ~= "") then
		--badIp = luci.util.exec("echo $(fping -q -u ".. iplist ..")")
		badIp = luci.util.exec("fping -q -u -r 1 ".. iplist .." 2>/dev/null")
		badIp = luci.util.trim(string.gsub(badIp, "\n", " "))
	end

	ret = "showData([" .. ret .. "{}], \"".. badIp .."\");"
	print(ret)
end
